#extension GL_OES_EGL_image_external : require

//necessary
precision mediump float;
uniform samplerExternalOES camTexture;

varying vec2 v_CamTexCoordinate;
varying vec2 v_TexCoordinate;

uniform float offsetR;
uniform float offsetG;
uniform float offsetB;

void main ()
{

    vec4 cameraColor = texture2D(camTexture, v_CamTexCoordinate);
    gl_FragColor = vec4(pow(cameraColor.rgb, vec3(offsetR)) ,cameraColor.w);

    //float color = cameraColor.r * 0.3 + cameraColor.g * 0.59 + cameraColor.b * 0.11;
    //gl_FragColor = vec4(color, color, color, 1.0);

}