#extension GL_OES_EGL_image_external : require
precision mediump float;
uniform samplerExternalOES camTexture;

varying vec2 v_CamTexCoordinate;
varying vec2 v_TexCoordinate;

uniform float offsetR;
uniform float offsetG;
uniform float offsetB;

void main ()
{
    vec4 cameraColor = texture2D(camTexture, v_CamTexCoordinate);
    gl_FragColor = vec4(pow(cameraColor.rgb, vec3(offsetR)) ,cameraColor.w);
}